"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Cookies = require("js-cookie");
/**
 *  cookie('name', value, option);
 * 	cookie('name');
 * 	cookie('name', null);
 */
function cookie(name, value, option) {
    if (name === undefined) {
        return Cookies.get();
    }
    if (value === undefined) {
        return Cookies.get(name);
    }
    if (value === null) {
        return Cookies.remove(name);
    }
    Cookies.set(name, value, option);
}
exports.default = cookie;
